Bug 1409641 - [abrt] gnome-calendar: icalproperty_new_clone(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: icalproperty_new_clone(): gnome-calendar killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6afffbc60c39e5476ecba232f6f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 16:55 UTC by Peter
Modified: 2017-12-12 10:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:18:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (134.59 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: core_backtrace (3.55 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: dso_list (19.29 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: environ (1.07 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: maps (90.33 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: mountinfo (3.84 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: open_fds (1006 bytes, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-02 16:55 UTC, Peter
no flags Details

Description Peter 2017-01-02 16:55:02 UTC
Version-Release number of selected component:
gnome-calendar-3.22.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icalproperty_new_clone
executable:     /usr/bin/gnome-calendar
global_pid:     8207
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 icalproperty_new_clone at /usr/src/debug/libical-2.0.0/src/libical/icalproperty.c:100
 #1 icalcomponent_new_clone at /usr/src/debug/libical-2.0.0/src/libical/icalcomponent.c:164
 #2 add_instance at e-cal-client.c:2353
 #3 generate_instances at e-cal-client.c:2723
 #4 e_cal_client_generate_instances_for_object_sync at e-cal-client.c:3355
 #5 cal_data_model_expand_recurrences_thread at e-cal-data-model.c:1149
 #6 cal_data_model_internal_thread_job_func at e-cal-data-model.c:471
 #7 g_thread_pool_thread_proxy
 #8 g_thread_proxy

Comment 1 Peter 2017-01-02 16:55:09 UTC
Created attachment 1236685 [details]
File: backtrace

Comment 2 Peter 2017-01-02 16:55:10 UTC
Created attachment 1236686 [details]
File: cgroup

Comment 3 Peter 2017-01-02 16:55:12 UTC
Created attachment 1236687 [details]
File: core_backtrace

Comment 4 Peter 2017-01-02 16:55:14 UTC
Created attachment 1236688 [details]
File: dso_list

Comment 5 Peter 2017-01-02 16:55:16 UTC
Created attachment 1236689 [details]
File: environ

Comment 6 Peter 2017-01-02 16:55:17 UTC
Created attachment 1236690 [details]
File: exploitable

Comment 7 Peter 2017-01-02 16:55:18 UTC
Created attachment 1236691 [details]
File: limits

Comment 8 Peter 2017-01-02 16:55:21 UTC
Created attachment 1236692 [details]
File: maps

Comment 9 Peter 2017-01-02 16:55:23 UTC
Created attachment 1236693 [details]
File: mountinfo

Comment 10 Peter 2017-01-02 16:55:24 UTC
Created attachment 1236694 [details]
File: namespaces

Comment 11 Peter 2017-01-02 16:55:26 UTC
Created attachment 1236695 [details]
File: open_fds

Comment 12 Peter 2017-01-02 16:55:27 UTC
Created attachment 1236696 [details]
File: proc_pid_status

Comment 13 Peter 2017-01-02 16:55:28 UTC
Created attachment 1236697 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:30:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:18:10 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.